
Figure - Bug #118207
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】全屏打开文件回到桌面，再长按文件图标选择以小窗打开文件，文件以全屏模
式打开
2023-05-24 15:32 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause: 文件app在启动的时候会先后启动2个Activity��LauncherActivity和FileActivity，LauncherActivity会在启动FileActivity后finish,而且它们处于不同的Task,当Task已经存在的情况下,以小窗启动LauncherActivity时,FileActivity会拿到上次启动的Task,就会处于全屏状态

Description

【测试步骤】

1.全屏打开文件应用

2.上滑回到桌面

3.在桌面长按文件图标，点击小窗

【预期结果】

文件以小窗模式打开

【测试结果】

文件以全屏模式打开

备注：底部上滑进入recent页，点击小窗图标可以以小窗模式打开

History

#1 - 2023-05-24 16:08 - CD FW 曹覃刚

- Category set to 窗口定制

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#2 - 2023-05-24 19:19 - 物联网测试组_CDTS  唐霞 

- File 中科创达软件股份有限公司20230524-191907.mp4 added

- Subject changed from 【AF】【EVT3】【小窗模式】在桌面长按文件图标，点击小窗，文件以全屏模式打开 to 【AF】【EVT3】【小窗模式】全屏打开文

件回到桌面，再长按文件图标选择以小窗打开文件，文件以全屏模式打开

物联网测试组_CDTS  唐霞  wrote:

【测试步骤】

全屏打开文件回到桌面，再长按文件图标选择以小窗打开文件

【预期结果】

文件以小窗模式打开

【测试结果】

文件以全屏模式打开

备注：底部上滑进入recent页，点击小窗图标可以以小窗模式打开
#3 - 2023-05-24 19:20 - 物联网测试组_CDTS  唐霞 

- File deleted (中科创达软件股份有限公司20230524-153220.mp4)

#4 - 2023-05-25 11:35 - CD FW-鲁凯峰

- Description updated

物联网测试组_CDTS  唐霞  wrote:

【测试步骤】

在桌面长按文件图标，点击小窗

【预期结果】

文件以小窗模式打开

【测试结果】

文件以全屏模式打开

备注：底部上滑进入recent页，点击小窗图标可以以小窗模式打开

#5 - 2023-05-25 15:07 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

文件app在启动的时候会先后启动2个Activity

LauncherActivity和FileActivity，LauncherActivity会在启动FileActivity后finish,而且它们处于不同的Task,当Task已经存在的情况下,以小窗启动LauncherActivity

时,FileActivity会拿到上次启动的Task,就会处于全屏状态

解决方法,LauncherActivity启动FileActivity时,设置flag FLAG_ACTIVITY_LAUNCH_ADJACENT,然它和启动者处于同一种launchMode里面

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/202538

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202537

#6 - 2023-05-25 15:07 - CD FW-鲁凯峰

- Root cause set to 文件app在启动的时候会先后启动2个Activity

LauncherActivity和FileActivity，LauncherActivity会在启动FileActivity后finish,而且它们处于不同的Task,当Task已经存在的情况下,以小窗启动LauncherActivity

时,FileActivity会拿到上次启动的Task,就会处于全屏状态

#7 - 2023-05-25 15:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202537 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: add FLAG_ACTIVITY_LAUNCH_ADJACENTsupport FLAG_ACTIVITY_LAUNCH_ADJACENT in freeformTC-RID:
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/202538
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202537


1201-0204601IssueID: TS-R-BUG-118207Change-Id: I98293ad18846fab6ec17c4f48d4119f8d557785a

#8 - 2023-05-25 15:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202538 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

FW:DocumentsUI: add FLAG_ACTIVITY_LAUNCH_ADJACENTadd FLAG_ACTIVITY_LAUNCH_ADJACENT to keep same launchmode with source

taskTC-RID: 1201-0300801IssueID: TS-R-BUG-118207Change-Id: I554c8e69b5c02e00c3d8e676ba26106eb35fb2b5

#9 - 2023-05-25 15:19 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

#10 - 2023-05-27 15:02 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305270101

#11 - 2023-05-27 15:02 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

0525.txt 48.2 MB 2023-05-24 物联网测试组_CDTS  唐霞 

中科创达软件股份有限公司20230524-191907.mp4 4.59 MB 2023-05-24 物联网测试组_CDTS  唐霞 
